// GENERATED by tools/asn1_to_profile.py -- do not edit; regenerate instead. // Source: RFC 3279, RFC 4055, RFC 5480, RFC 5758, RFC 8410, RFC 9881 // Modules: PKIX1Algorithms88, PKIX1-PSS-OAEP-Algorithms, PKIX1Algorithms2008, Safecurves-pkix-18, X509-ML-DSA-2025 { $defs: { "ecdsa-with-SHA1": { value: "300906072a8648ce3d0401", description: "Algorithm identifier for ecdsa-with-SHA1 (1.2.840.10045.4.1), parameters absent.", }, "ecdsa-with-SHA224": { value: "300a06082a8648ce3d040301", description: "Algorithm identifier for ecdsa-with-SHA224 (1.2.840.10045.4.3.1), parameters absent.", }, "ecdsa-with-SHA256": { value: "300a06082a8648ce3d040302", description: "Algorithm identifier for ecdsa-with-SHA256 (1.2.840.10045.4.3.2), parameters absent.", }, "ecdsa-with-SHA384": { value: "300a06082a8648ce3d040303", description: "Algorithm identifier for ecdsa-with-SHA384 (1.2.840.10045.4.3.3), parameters absent.", }, "ecdsa-with-SHA512": { value: "300a06082a8648ce3d040304", description: "Algorithm identifier for ecdsa-with-SHA512 (1.2.840.10045.4.3.4), parameters absent.", }, "id-Ed25519": { value: "300506032b6570", description: "Algorithm identifier for id-Ed25519 (1.3.101.112), parameters absent.", }, "id-Ed448": { value: "300506032b6571", description: "Algorithm identifier for id-Ed448 (1.3.101.113), parameters absent.", }, "id-X25519": { value: "300506032b656e", description: "Algorithm identifier for id-X25519 (1.3.101.110), parameters absent.", }, "id-X448": { value: "300506032b656f", description: "Algorithm identifier for id-X448 (1.3.101.111), parameters absent.", }, "id-dsa-with-sha1": { value: "300906072a8648ce380403", description: "Algorithm identifier for id-dsa-with-sha1 (1.2.840.10040.4.3), parameters absent.", }, "id-dsa-with-sha224": { value: "300b0609608648016503040301", description: "Algorithm identifier for id-dsa-with-sha224 (2.16.840.1.101.3.4.3.1), parameters absent.", }, "id-dsa-with-sha256": { value: "300b0609608648016503040302", description: "Algorithm identifier for id-dsa-with-sha256 (2.16.840.1.101.3.4.3.2), parameters absent.", }, "id-ecPublicKey-secp256r1": { value: "301306072a8648ce3d020106082a8648ce3d030107", description: "Algorithm identifier for id-ecPublicKey (1.2.840.10045.2.1), parameters secp256r1.", }, "id-ecPublicKey-secp384r1": { value: "301006072a8648ce3d020106052b81040022", description: "Algorithm identifier for id-ecPublicKey (1.2.840.10045.2.1), parameters secp384r1.", }, "id-ecPublicKey-secp521r1": { value: "301006072a8648ce3d020106052b81040023", description: "Algorithm identifier for id-ecPublicKey (1.2.840.10045.2.1), parameters secp521r1.", }, "id-ml-dsa-44": { value: "300b0609608648016503040311", description: "Algorithm identifier for id-ml-dsa-44 (2.16.840.1.101.3.4.3.17), parameters absent.", }, "id-ml-dsa-65": { value: "300b0609608648016503040312", description: "Algorithm identifier for id-ml-dsa-65 (2.16.840.1.101.3.4.3.18), parameters absent.", }, "id-ml-dsa-87": { value: "300b0609608648016503040313", description: "Algorithm identifier for id-ml-dsa-87 (2.16.840.1.101.3.4.3.19), parameters absent.", }, rsaEncryption: { value: "300d06092a864886f70d0101010500", description: "Algorithm identifier for rsaEncryption (1.2.840.113549.1.1.1), parameters NULL.", }, sha1WithRSAEncryption: { value: "300d06092a864886f70d0101050500", description: "Algorithm identifier for sha1WithRSAEncryption (1.2.840.113549.1.1.5), parameters NULL.", }, sha224WithRSAEncryption: { value: "300d06092a864886f70d01010e0500", description: "Algorithm identifier for sha224WithRSAEncryption (1.2.840.113549.1.1.14), parameters NULL.", }, sha256WithRSAEncryption: { value: "300d06092a864886f70d01010b0500", description: "Algorithm identifier for sha256WithRSAEncryption (1.2.840.113549.1.1.11), parameters NULL.", }, sha384WithRSAEncryption: { value: "300d06092a864886f70d01010c0500", description: "Algorithm identifier for sha384WithRSAEncryption (1.2.840.113549.1.1.12), parameters NULL.", }, sha512WithRSAEncryption: { value: "300d06092a864886f70d01010d0500", description: "Algorithm identifier for sha512WithRSAEncryption (1.2.840.113549.1.1.13), parameters NULL.", }, }, }